package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.*;
import com.junmp.jyzb.api.bean.query.*;

import com.junmp.jyzb.api.bean.req.EquipmentBindReq;
import com.junmp.jyzb.entity.Inventory;
import com.junmp.jyzb.utils.ResponseResult;

import java.util.List;
import java.util.Map;

public interface InventoryService extends IService<Inventory> {
    InventoryDto getInventoryDetail(InventoryReq msg);

    ResponseResult getEquipmentInfo(Map<String, Object> msg);

    //计算更新库存汇总表信息
    boolean setInventoryMsg();


    List<InventoryDto> getInventoryByOrgId(InventoryReq req);


    boolean UpdateWarehouseInsNum(WarehouseReq req);

    boolean UpdateCabinetInsNum(CabinetReq req);

    boolean InventoryBind(EquipmentBindReq req);

    List<EqsBriefDto> GetInvInfoByEpc(InventoryReq req);

    List<InventoryDto> EqsBySearchType(InventoryReq req);


    //查询箱门（cabinetBox下）所有装备简要信息列表（传递cabinetBoxId）
    List<EqsBriefDto> searchEqsByBoxId(CabinetBoxReq req);


    //通过货架id查询装备信息汇总
    ShelfInventoryDto ShelfInventoryList(ShelfReq req);

    //通过货架id查询装备简要信息
    List<EqsBriefDto> ShelfInventoryDetail(ShelfReq req);

    //通过区域id查询装备信息汇总
    AreaInventoryDto AreaInventoryList(WarehouseAreaReq req);



}
